diff tests/test-empty-dir @ 3428:7012c889e8f2

portability fixes for some tests Apparently the ls on OS X 10.3.9 exits with success even if the file given on the command line doesn't exist
author Alexis S. L. Carvalho <alexis@cecm.usp.br>
date Mon, 16 Oct 2006 18:01:25 -0300
parents 7544700fd931
children 33b6c8193652
line wrap: on
line diff
--- a/tests/test-empty-dir	Mon Oct 16 22:44:44 2006 +0200
+++ b/tests/test-empty-dir	Mon Oct 16 18:01:25 2006 -0300
@@ -11,6 +11,6 @@
 cat sub/b
 hg co 0
 cat sub/b 2>/dev/null || echo "sub/b not present"
-ls sub 2>/dev/null || echo "sub not present"
+test -e sub || echo "sub not present"
 
 true